package cn.com.ty.lift.ud.searchIndex.service;

import cn.com.ty.lift.ud.searchIndex.mapper.entity.SearchIndexEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 搜索索引表-Service
 * 
 * @author Xson
 * @date 2020-05-09
 */
public interface ISearchIndexService extends IService<SearchIndexEntity> {

    RestResponse searchIndex(String request);

    void insertSearchIndex(String word,Integer moduleId,Long id);

    void updateSearchIndex(String word,Integer moduleId,Long id);

    void deleteSearchIndex(Integer moduleId,List<Long> ids);
}
